settings
Usage
// Initialize the client
var client = new SearchClient(new SearchConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY"));
// Call the API
var response = await client.SearchRulesAsync(
"<YOUR_INDEX_NAME>",
new SearchRulesParams { Query = "zorro" }
);
// print the response
Console.WriteLine(response);
// Initialize the client
final client =
SearchClient(appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
final response = await client.searchRules(
indexName: "<YOUR_INDEX_NAME>",
searchRulesParams: SearchRulesParams(
query: "zorro",
),
);
// print the response
print(response);
// Initialize the client
client, err := search.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.SearchRules(client.NewApiSearchRulesRequest(
"<YOUR_INDEX_NAME>").WithSearchRulesParams(
search.NewEmptySearchRulesParams().SetQuery("zorro")))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)
// Initialize the client
SearchClient client = new SearchClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
SearchRulesResponse response = client.searchRules("<YOUR_INDEX_NAME>", new SearchRulesParams().setQuery("zorro"));
// print the response
System.out.println(response);
// Initialize the client
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
const response = await client.searchRules({ indexName: 'cts_e2e_browse', searchRulesParams: { query: 'zorro' } });
// print the response
console.log(response);
// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
var response =
client.searchRules(
indexName = "<YOUR_INDEX_NAME>",
searchRulesParams = SearchRulesParams(query = "zorro"),
)
// print the response
println(response)
// Initialize the client
$client = SearchClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$response = $client->searchRules(
'<YOUR_INDEX_NAME>',
['query' => 'zorro',
],
);
// print the response
var_dump($response);
# Initialize the client
# In an asynchronous context, you can use SearchClient instead, which exposes the exact same methods.
client = SearchClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.search_rules(
index_name="<YOUR_INDEX_NAME>",
search_rules_params={
"query": "zorro",
},
)
# print the response
print(response)
# Initialize the client
client = Algolia::SearchClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.search_rules("<YOUR_INDEX_NAME>", Algolia::Search::SearchRulesParams.new(query: "zorro"))
# print the response
puts(response)
// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
val response = Await.result(
client.searchRules(
indexName = "<YOUR_INDEX_NAME>",
searchRulesParams = Some(
SearchRulesParams(
query = Some("zorro")
)
)
),
Duration(100, "sec")
)
// print the response
println(response)
// Initialize the client
let client = try SearchClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
let response = try await client.searchRules(
indexName: "<YOUR_INDEX_NAME>",
searchRulesParams: SearchRulesParams(query: "zorro")
)
// print the response
print(response)
See the full API reference
For more details about input parameters
and response fields.